gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [gnunet] branch master updated: add rel expiration test


From: gnunet
Subject: [GNUnet-SVN] [gnunet] branch master updated: add rel expiration test
Date: Sat, 13 Oct 2018 09:02:03 +0200

This is an automated email from the git hooks/post-receive script.

martin-schanzenbach pushed a commit to branch master
in repository gnunet.

The following commit(s) were added to refs/heads/master by this push:
     new d30e54049  add rel expiration test
d30e54049 is described below

commit d30e5404920a46181e1d35d2c94ac56369d0ae5c
Author: Schanzenbach, Martin <address@hidden>
AuthorDate: Sat Oct 13 16:01:55 2018 +0900

     add rel expiration test
---
 src/gns/test_gns_dht_lookup.sh | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

diff --git a/src/gns/test_gns_dht_lookup.sh b/src/gns/test_gns_dht_lookup.sh
index 6c977bb0d..247795f31 100755
--- a/src/gns/test_gns_dht_lookup.sh
+++ b/src/gns/test_gns_dht_lookup.sh
@@ -24,15 +24,25 @@ gnunet-identity -C $OTHER_EGO -c test_gns_lookup.conf
 DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep $OTHER_EGO 
| awk '{print $3}')
 gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
 gnunet-namestore -p -z $MY_EGO -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c 
test_gns_lookup.conf
+#This works
 gnunet-namestore -p -z $OTHER_EGO -a -n www -t A -V $TEST_IP -e never -c 
test_gns_lookup.conf
+#This doesn't
+gnunet-namestore -p -z $OTHER_EGO -a -n www2 -t A -V $TEST_IP -e '5 s' -c 
test_gns_lookup.conf
 gnunet-arm -i gns -c test_gns_lookup.conf
-sleep 0.5
-gnunet-namestore -z $OTHER_EGO -d -n www -t A -V $TEST_IP  -e never -c 
test_gns_lookup.conf
-RES_IP=`$DO_TIMEOUT gnunet-gns --raw -u www.b.$MY_EGO -t A -c 
test_gns_lookup.conf`
+sleep 6
 gnunet-namestore -z $MY_EGO -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c 
test_gns_lookup.conf
+#gnunet-namestore -z $OTHER_EGO -d -n www -t A -V $TEST_IP  -e never -c 
test_gns_lookup.conf
+RES_IP=`$DO_TIMEOUT gnunet-gns --raw -u www.b.$MY_EGO -t A -c 
test_gns_lookup.conf`
+RES_IP_REL=`$DO_TIMEOUT gnunet-gns --raw -u www2.b.$MY_EGO -t A -c 
test_gns_lookup.conf`
+#gnunet-namestore -z $MY_EGO -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c 
test_gns_lookup.conf
 gnunet-arm -e -c test_gns_lookup.conf
 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
 
+if [ "$RES_IP_REL" != "$TEST_IP" ]
+then
+  echo "Failed to resolve to proper IP, got $RES_IP_REL. (relative expiration)"
+  #exit 1
+fi
 if [ "$RES_IP" == "$TEST_IP" ]
 then
   exit 0

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]